<?php
/**
 * $Horde: klutz/index.php,v 1.3.2.4 2005/01/03 11:25:56 jan Exp $
 *
 * Copyright 2002-2005 Marcus I. Ryan <marcus@riboflavin.net>
 *
 * See the enclosed file COPYING for license information (GPL).  If you
 * did not receive this file, see http://www.fsf.org/copyleft/gpl.html.
 */

define('KLUTZ_BASE', dirname(__FILE__));
$klutz_configured = (@is_readable(KLUTZ_BASE . '/config/conf.php') &&
                     @is_readable(KLUTZ_BASE . '/config/html.php') &&
                     @is_readable(KLUTZ_BASE . '/config/prefs.php'));

if ($klutz_configured) {
    include_once KLUTZ_BASE . '/lib/base.php';

    $uri = 'comics.php';
    if (!empty($_SERVER['QUERY_STRING'])) {
        $uri .= '?' . $_SERVER['QUERY_STRING'];
    }

    header('Location: ' . Horde::applicationUrl($uri, true));
    exit;
} else {
    /* Klutz isn't configured */
    include KLUTZ_BASE . '/templates/index/notconfigured.inc';
}
